%define group System/Configuration/Packaging
BuildRequires: gtk+-devel 

Name: gtkdialogs
Version: 1.0
Release: 3mdk
Source: gtkdialogs.tar.bz2
#
# (fg) 20010313 Fix dangerous size mismatches...
#
Patch: gtkdialogs-64bit-fixes.patch.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}
Summary: Ready-to-use gtk+ dialog boxes
Requires: gtk+
Provides: gchooser gmessage xtest
Group: %{group}

%description
Ready-to-use gtk+ dialog boxes:
- xtest lets you test if X is running or not
- gmessage show a message and some buttons, it returns with the number of the
  pressed button
- gchooser presents a list of entries from which the user can choose

%prep
%setup -n %{name} -q
%ifarch ia64
%patch -p1
%endif

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
make prefix=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/$RPM_PACKAGE_NAME

%files
%defattr(-,root,root)
%{_prefix}/X11R6/bin/xtest
%{_prefix}/X11R6/bin/gmessage
%{_prefix}/X11R6/bin/gchooser

%changelog

* Tue Mar 13 2001 Francis Galiegue <fg@mandrakesoft.com> 1.0-3mdk

- 64bit fixes for ia64

* Tue Mar  6 2001 DindinX <odin@mandrakesoft.com> 1.0-2mdk
- rebuild

* Mon Aug 07 2000 DindinX <odin@mandrakesoft.com> 1.0-1mdk
- very first release as a standalone package

